Bug 1457329 (CVE-2017-9264) - CVE-2017-9264 openvswitch: Buffer over-read while parsing malformed TCP, UDP and IPv6 packets
Summary: CVE-2017-9264 openvswitch: Buffer over-read while parsing malformed TCP, UDP ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9264
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1456797 1466599 1466600 1466601 1466602 1470453 1470459
Blocks: 1456799
TreeView+ depends on / blocked
 
Reported: 2017-05-31 14:09 UTC by Andrej Nemec
Modified: 2019-09-29 14:13 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A buffer over-read was found in the Open vSwitch (OvS) firewall implementation. This flaw can be triggered by parsing a specially crafted TCP, UDP, or IPv6 packet. A remote attack could use this flaw to cause a Denial of Service (DoS).
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2418 normal SHIPPED_LIVE Moderate: openvswitch security, bug fix, and enhancement update 2017-08-03 16:35:07 UTC
Red Hat Product Errata RHSA-2017:2648 normal SHIPPED_LIVE Moderate: openvswitch security and bug fix update 2017-09-06 20:53:24 UTC
Red Hat Product Errata RHSA-2017:2727 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-14 01:39:00 UTC

Description Andrej Nemec 2017-05-31 14:09:51 UTC
In lib/conntrack.c in the firewall implementation in Open vSwitch, there is a buffer over-read while parsing malformed TCP, UDP, and IPv6 packets in the functions `extract_l3_ipv6`, `extract_l4_tcp`, and `extract_l4_udp` that can be triggered remotely.

References:

https://mail.openvswitch.org/pipermail/ovs-dev/2017-March/329323.html

Comment 1 Andrej Nemec 2017-05-31 14:27:22 UTC
Created openvswitch tracking bugs for this issue:

Affects: fedora-all [bug 1456797]

Comment 9 errata-xmlrpc 2017-08-03 12:37:32 UTC
This issue has been addressed in the following products:

  Fast Datapath for RHEL 7

Via RHSA-2017:2418 https://access.redhat.com/errata/RHSA-2017:2418

Comment 10 errata-xmlrpc 2017-09-06 17:02:59 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:2648 https://access.redhat.com/errata/RHSA-2017:2648

Comment 11 errata-xmlrpc 2017-09-13 21:42:35 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:2727 https://access.redhat.com/errata/RHSA-2017:2727

Comment 12 Jason Shepherd 2018-04-03 07:12:52 UTC
Updated fixed in version to 2.7.2-1 based on packages released in https://access.redhat.com/errata/RHSA-2017:2418.

Openshift Enterprise 3.7 uses the fixed version 2.7.2-1. Marking as not affected.


Note You need to log in before you can comment on or make changes to this bug.